搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

I am trying to open Turbo tax from my bank site (I already have it done, just need to submit) says it isn't compatible with this version of FF and I need latest - already have.

  • 無回覆
  • 7 有這個問題
  • 7 次檢視
more options

Hi, I just tried to open TT from my bank site - had to do an extension - just need to file. It gives me the error - The browser you are using is incompatible with TurboTax. TurboTax supports the latest versions of Internet Explorer, Firefox, and Safari, which can be downloaded from each company's respective website. Please access TurboTax from one of these supported browsers. I have FF version 4. Windows 7 - 32 bit.